Status: Closed

Priority: Low

Assignee: Aaron Racicot -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10870

Description

In qgsmapcanvas.cpp in [[QgsMapCanvas]]::setLayerSet a disconnect and connect call to selectionChanged signal are being made on

the map layer set, but some of those layers can be raster layers.  selectionChanged() is a signal that only vector layers can emit.

This bug causes warning messages to appear when calling setLayerSet via the python bindings with a layer set that contains rasters.

The solution is to wrap the disconnect and connect calls with logic to test if the layer is a vector layer.

History

#1 - 2007-11-15 01:05 PM - Aaron Racicot -

- Status changed from Open to In Progress

Turns out src/app/legend/qgslegendlayerfile.cpp also contains the issue... not only for selectionChanged() but for wasModified(bool) as well.  Both of these

need to be connected only to vector layers.  Attached is a patch to wrap all of these cases to check for vector layer.

#2 - 2007-11-16 01:01 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from In Progress to Closed

Applied in commit:bd3fd856 (SVN r7417). Many thanks for the input!

#3 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted

Files

bug811fix.diff 2.86 KB 2007-11-15 Aaron Racicot -
